All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Interface SelectableInterface

All Known Subinterfaces:
  TabButtonInterface

All Known Implementing Classes:
  CheckBoxCell, GraphicalCheckBox, RadioButton, TabButton, ToggleButton

    public interface SelectableInterface

SelectableInterface is an interface used by objects which support behavior where only one object can be selected at a time and any object selected is deselected when a new object is selected.

Method Summary
`ButtonModelInterface` | `getButtonModel()` Get the buttonModel for the selectionGroup to set the selected state on.
`com.sas.util.transforms.TransformInterface` | `getDisplayTransform()` Get the transform used to change the item attribute for display on the SelectableInterface.
`java.lang.Object` | `getItem()` Get the Item data for the SelectableInterface object.
`SelectionGroupInterface` | `getSelectionGroup()` Get the SelectionGroupInterface for the SelectableInterface object.
`void` | `setDisplayTransform(com.sas.util.transforms.TransformInterface displayTransform)` Set the transform used to change the item attribute for display on the SelectableInterface.
`void` | `setItem(java.lang.Object item)` Set the Item for the SelectableInterface object.
`void` | `setSelectionGroup(SelectionGroupInterface selectionGroup)` Set the SelectionGroupInterface for the SelectableInterface object.

Method Detail

### getButtonModel

    ButtonModelInterface getButtonModel()

  Get the buttonModel for the selectionGroup to set the selected state on.

  Returns:
    a buttonModel

### getDisplayTransform

    com.sas.util.transforms.TransformInterface getDisplayTransform()

  Get the transform used to change the item attribute for display on the SelectableInterface.

  Returns:
    the transform used on the item attribute of the SelectableInterface.
  See Also:
    `setDisplayTransform(com.sas.util.transforms.TransformInterface)`

### getItem

    java.lang.Object getItem()

  Get the Item data for the SelectableInterface object.

  Returns:
    the Item for the the SelectableInterface object.
  See Also:
    `setItem(java.lang.Object)`

### getSelectionGroup

    SelectionGroupInterface getSelectionGroup()

  Get the SelectionGroupInterface for the SelectableInterface object.

  Returns:
    the current SelectionGroupInterface.
  See Also:
    `setSelectionGroup(com.sas.visuals.SelectionGroupInterface)`

### setDisplayTransform

    void setDisplayTransform(com.sas.util.transforms.TransformInterface displayTransform)

  Set the transform used to change the item attribute for display on the SelectableInterface.

  Parameters:
    `displayTransform` - the new TransformInterface for the displayTransform
  See Also:
    `getDisplayTransform()`

### setItem

    void setItem(java.lang.Object item)

  Set the Item for the SelectableInterface object.

  Parameters:
    `stringData` - the new Item value for the SelectableInterface object.
  See Also:
    `setItem(java.lang.Object)`

### setSelectionGroup

    void setSelectionGroup(SelectionGroupInterface selectionGroup)

  Set the SelectionGroupInterface for the SelectableInterface object. The SelectionGroupInterface handles changing the states of the SelectableInterface objects

  Parameters:
    `selectionGroup` - the new SelectionGroupInterface to add this SelectableInterface to.
  See Also:
    `getSelectionGroup()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.